package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SecRole;
import com.ruoyi.system.mapper.SecRoleMapper;
import com.ruoyi.system.service.ISecRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
@DataSource(value = DataSourceType.SLAVE)
public class SecRoleServiceImpl extends ServiceImpl<SecRoleMapper, SecRole> implements ISecRoleService {
    @Autowired
    private SecRoleMapper secRoleMapper;

    public List<SecRole> listS() {
        List lst = secRoleMapper.selectList(new QueryWrapper<SecRole>());
        return lst;
    }

    @Override
    public SecRole findOne(LambdaQueryWrapper<SecRole> eq) {
        return secRoleMapper.selectOne(eq);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void Save(SecRole vo) {
        secRoleMapper.insert(vo);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveOrUpdate(SecRole entity) {
        return super.saveOrUpdate(entity);
    }


    @Override
    public Integer selectCount(Wrapper<SecRole> queryWrapper) {
        return secRoleMapper.selectCount(queryWrapper);
    }
}
